[ubuntu/focal-security] atftp 0.7.git20120829-3.1ubuntu0.1 (Accepted)

Jorge Sancho Larraz jorge.sancho.larraz at canonical.com
Mon Sep 4 06:48:08 UTC 2023


atftp (0.7.git20120829-3.1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE:  assertion failure makes the service to crash
    -  debian/patches/CVE-2020-6097.patch: returns an error message string for
    unsupported cases instead of calling assert().
    - CVE-2020-6097
  * SECURITY UPDATE: buffer overflow makes the service to crash
    - debian/patches/CVE-2021-41054.patch: ensures that the buffer-size is 
    enough for the combination of data, OACK, and other options.
    - CVE-2021-41054
  * SECURITY UPDATE: buffer over-read discloses server-side /etc/group data
    - debian/patches/CVE-2021-46671.patch: prevents argz_next from reading 
    past the end of data.
    - CVE-2021-46671

Date: 2023-08-31 15:35:08.910638+00:00
Changed-By: Jorge Sancho Larraz <jorge.sancho.larraz at canonical.com>
https://launchpad.net/ubuntu/+source/atftp/0.7.git20120829-3.1ubuntu0.1
-------------- next part --------------
Sorry, changesfile not available.


More information about the Focal-changes mailing list